%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             jboss-dmr
Version:          1.2.0
Release:          4%{?dist}
Summary:          JBoss DMR
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-dmr
Source0:          https://github.com/jbossas/jboss-dmr/archive/%{namedversion}.tar.gz
# pre-generated with JDK7:
# JAVA_HOME=/path/to/jdk7/ mvn clean generate-resources
# cp target/generated-sources/apt/org/jboss/dmr/* src/main/java/org/jboss/dmr/
# git add src/main/java/org/jboss/dmr/*.java
# git commit -m 'Add pre-generated Java classes' && git format-patch -1
Patch0:           0001-Add-pre-generated-Java-classes.patch

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.google.code.cookcc:cookcc)
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(org.jboss.apiviz:apiviz:pom:)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)

%description
This package contains the Dynamic Model Representation.

%package javadoc
Summary:          Javadocs for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%patch0 -p1

%pom_remove_plugin :apt-maven-plugin
%pom_remove_plugin :maven-antrun-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}

%files javadoc -f .mfiles-javadoc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 29 2015 Michal Srb <msrb@redhat.com> - 1.2.0-3
- Workaround absence of apt tool in JDK8
- Resolves: rhbz#1106864

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Marek Goldmann <mgoldman@redhat.com> - 1.2.0-1
- Upstream release 1.2.0.Final

* Tue Jul 30 2013 Marek Goldmann <mgoldman@redhat.com> - 1.2.0-0.1.Beta2
- Upstream release 1.2.0.Beta2
- New guidelines

* Thu Feb 21 2013 Marek Goldmann <mgoldman@redhat.com> - 1.1.1-9
- Enabled tests

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.1.1-7
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Fri Jul 20 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.1-6
- Fixed BR

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.1-4
- Properly building the project with apt-maven-plugin

* Fri Mar 09 2012 Marek Goldmann <mgoldman@redhat.com> 1.1.1-3
- Relocated jars to _javadir

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 07 2011 Marek Goldmann <mgoldman@redhat.com> 1.1.1-1
- Upstream release 1.1.1.Final

* Sun Oct 02 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-2
- Spec file cleanup

* Mon Aug 01 2011 Marek Goldmann <mgoldman@redhat.com> 1.0.0-1
- Initial packaging

